package de.intevation.gnv.propertiesreader;

import java.util.Map;

import org.apache.log4j.Logger;

/**
 * A <code>PropertiesReader</code> storing properties in a <code>Map</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class MapPropertiesReader implements PropertiesReader {

    private static Logger log = Logger.getLogger(MapPropertiesReader.class);

    private Map<String, String> properties = null;

    /**
     * Constructs a new MapPropertiesReader with an initial map.
     */
    public MapPropertiesReader(Map<String, String> properties) {
        super();
        this.properties = properties;
    }

    public String getPropertieValue(String key, String defaultValue) {
        String value = this.properties.get(key);
        if (value == null) {
            value = defaultValue;
        }
        return value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
